MINTPY-ASC_DESC2HORZ_VERT(1)

NAME
mintpy-asc_desc2horz_vert - Project Asc and Desc LOS displacement to Horizontal and Vertical direction

DESCRIPTION
usage: asc_desc2horz_vert.py [-h] [-d DS_NAME] [-g GEOM_FILE GEOM_FILE]

[--max-ref-yx-diff MAX_REF_YX_DIFF]
    [--az HORZ_AZ_ANGLE] [-o HZ_FILE UP_FILE] [--oo ONE_OUTFILE] file file

Project Asc and Desc LOS displacement to Horizontal and Vertical direction

  positional arguments:

file
    Ascending and descending files Both files need to be geocoded in the same spatial resolution.

  options:

-h, --help
    show this help message and exit

-d DS_NAME, --dset DS_NAME
    dataset to use, default: 1st dataset

-g GEOM_FILE GEOM_FILE, --geom-file GEOM_FILE GEOM_FILE
    Geometry files for the input data files.

--max-ref-yx-diff MAX_REF_YX_DIFF
    Maximum difference between REF_Y/X (derived from REF_LAT/LON) of input files (default: 3).

--az HORZ_AZ_ANGLE, --horz-az-angle HORZ_AZ_ANGLE
    Azimuth angle in degrees of the interested horizontal direction (default: -90.0). Measured from the north with positive for anti-clockwise direction. E.g.: -90 for East direction

0   for North direction

Set to the azimuth angle of the strike-slip fault to measure the fault-parallel displacement.
    Note: a. This assumes no deformation in its perpendicular direction b. Near north direction can not be well resolved due to the lack of

diversity in viewing geometry. Check exact dilution of precision for
    each component in Wright et al. (2004, GRL)

-o HZ_FILE UP_FILE, --output HZ_FILE UP_FILE
    output file name for vertical and horizontal components

--oo ONE_OUTFILE, --one-output ONE_OUTFILE
    Stack the input/output files into one HDF5 file. This will disable the HZ/UP_FILE output option.

  reference:

    Fialko, Y., Simons, M., & Agnew, D. (2001). The complete (3-D) surface displacement

    field in the epicentral area of the 1999 MW7.1 Hector Mine Earthquake, California, from space geodetic observations. Geophysical Research Letters, 28(16), 3063-3066. doi:10.1029/2001GL013174

    Wright, T. J., B. E. Parsons, and Z. Lu (2004), Toward mapping surface deformation

    in three dimensions using InSAR, Geophysical Research Letters, 31(1), L01607, doi:10.1029/2003GL018827.

  example:

    # for data with different spatial resolution and coverage # use geocode.py -x/y --bbox option to make them consistent cd AlosAT424/mintpy mask.py velocity.h5 -m maskTempCoh.h5 geocode.py velocity_msk.h5 -l inputs/geometryRadar.h5 -x 0.00027778 -y -0.00027778 --bbox 32.0 32.5 130.1 130.5 cd AlosDT73/mintpy mask.py velocity.h5 -m maskTempCoh.h5 geocode.py velocity_msk.h5 -l inputs/geometryRadar.h5 -x 0.00027778 -y -0.00027778 --bbox 32.0 32.5 130.1 130.5 asc_desc2horz_vert.py AlosAT424/mintpy/geo_velocity_msk.h5 AlosDT73/mintpy/geo_velocity_msk.h5

    # write horz/vert to two files asc_desc2horz_vert.py AlosAT424/mintpy/velocity_msk.h5 AlosDT73/mintpy/velocity_msk.h5 asc_desc2horz_vert.py AlosAT424/mintpy/velocity_msk.h5 AlosDT73/mintpy/velocity_msk.h5 --azimuth 16 asc_desc2horz_vert.py AlosAT424/mintpy/velocity_msk.h5 AlosDT73/mintpy/velocity_msk.h5 --dset step20200107

    # write all asc/desc/horz/vert datasets into one file asc_desc2horz_vert.py Alos2AT131/mintpy/20171219_20190702.unw Alos2DT23/mintpy/20171211_20190819.unw --oo Kirishima2017post.h5 view.py Kirishima2017post.h5 -u cm --wrap --wrap-range -5 5 #check deformation signal with multiple viewing geometries.

    # pixel-wise decomposition [for large area analysis] asc_desc2horz_vert.py asc_velocity.h5 desc_velocity.h5 -g asc_geometry.h5 desc_geometry.h5